##
##  pdflib.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_long 7.0.5p3
%define       V_comp 705

#   package information
Name:         pdflib
Summary:      Library for Generating PDF Documents
URL:          http://www.pdflib.com/
Vendor:       PDFlib GmbH
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Postscript
License:      PDFlib
Version:      %{V_long}
Release:      20150828

#   list of sources
Source0:      http://www.pdflib.com/binaries/PDFlib/%{V_comp}/PDFlib-Lite-%{V_long}.tar.gz
Patch0:       pdflib.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, coreutils, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  png14, zlib, jpeg
PreReq:       png14, zlib, jpeg

%description
    PDFlib is the premier software component if you want to generate PDF
    on your server, convert text and graphics, or implement PDF output
    in your own products.

%track
    prog pdflib = {
        version   = %{version}
        url       = http://www.pdflib.com/download/pdflib-family/pdflib-lite-7/
        regex     = PDFlib-Lite-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n PDFlib-Lite-%{V_long}
    #   rm -rf libs/png
    #   rm -rf libs/jpeg
    #   rm -rf libs/flate
    %patch -p0
    %{l_shtool} subst \
        -e 's;[ \t]*/usr/local/lib${libsuff};;g' \
        -e 's;[ \t]*-I/usr/local/include;;g' \
        -e 's;[ \t]*/usr/local/include;;g' \
        -e 's;[ \t]*-L/usr/local/lib;;g' \
        -e 's;[ \t]*/usr/local/lib;;g' \
        configure

%build
    ECHO="%{l_prefix}/bin/gecho" \
    CC="%{l_cc} %{l_cppflags libpng14 .}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags libpng14 .}" \
    INSTALL="%{l_shtool} install -c" \
    PNGLIBINC="%{l_cppflags libpng14 .}" \
    PNGLIBLINK="%{l_prefix}/lib/libpng14.a" \
    JPEGLIBINC="%{l_cppflags}" \
    JPEGLIBLINK="%{l_prefix}/lib/libjpeg.a" \
    FLATELIBINC="%{l_cppflags}" \
    FLATELIBLINK="%{l_prefix}/lib/libz.a" \
    LDFLAGS="%{l_ldflags} -lpng -ljpeg -lz" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/share/pdflib
    %{l_shtool} subst \
        -e 's;\($(LIBTOOL)\) \($(INSTALL_DATA)\);\1 --mode=install \2;' \
        libs/pdflib/Makefile
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix} \
        INSTALL="%{l_shtool} install -c"
    %{l_shtool} subst \
        -e 's;installed=no;installed=yes;' \
        -e 's;libdir=.*;libdir="%{l_prefix}/lib";' \
        $RPM_BUILD_ROOT%{l_prefix}/lib/libpdf.la
    %{l_shtool} install -c -s -m 755 \
        progs/pdflib/pdfimage \
        progs/pdflib/pdfimpose \
        progs/pdflib/text2pdf \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doc/pdflib/PDFlib-API-reference.pdf \
        doc/pdflib/PDFlib-tutorial.pdf \
        $RPM_BUILD_ROOT%{l_prefix}/share/pdflib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%doc %{l_prefix}/share/pdflib/*'

%files -f files

%clean

